## unison-2.53 2.53.3

=== Makefile ===
# Unison file synchronizer: Makefile
# See LICENSE for terms.

.PHONY: all
all: src manpage

.PHONY: src
src:
	$(MAKE) -C src

# It's a wart that docs need "unison" built (vs some docs utility).
# Having docs build src/unison points out that UISTYLE is a bug; either
# docs might build the GUI (not wanted as too heavy for docs use), or
# whatever is built might not be rebuilt later.
.PHONY: docs
docs:
	$(MAKE) -C src UISTYLE=text
	$(MAKE) -C doc
	$(MAKE) -C man

# "src" is a prerequisite to prevent parallel build errors.
# manpage builds currently require a pre-built "unison" binary.
.PHONY: manpage
manpage: src
	$(MAKE) -C man

.PHONY: test
test:
	./src/unison -ui text -selftest

.PHONY: depend
depend:
	$(MAKE) -C src depend

.PHONY: clean
clean:
	$(MAKE) -C doc clean
	$(MAKE) -C man clean
	$(MAKE) -C src clean

.PHONY: install
install:
	@printf "\n\n=========================================\n\
To install, copy the files src/unison, src/unison-gui (optional),\n\
src/unison-fsmonitor (optional) and src/fsmonitor.py (optional,\n\
if unison-fsmonitor does not exist) to a freely chosen location.\n\n\
Manual page is at man/unison.1 and user manual is at\n\
doc/unison-manual.pdf, doc/unison-manual.html and doc/unison-manual.txt\n\
=========================================\n\n\n"
	@exit 1

=== doc/Makefile ===
 # Manual

all:: unison-manual.html

-include ../src/Makefile.ProjectInfo
include ../src/Makefile.OCaml

STRINGS = ../icons/Unison.gif
SOURCES = unison-manual.tex \
          local.tex short.tex postproc$(EXEC_EXT) Makefile

# ifeq ($(shell ls /usr/local/bin/hevea), /usr/local/bin/hevea)
#   HEVEAPATH = /usr/local/bin/hevea
# endif
ifeq ($(shell echo type -t hevea | bash), file)
  HEVEAPATH = $(shell echo type -p hevea | bash)
endif
ifneq ($(HEVEAPATH),)
  HEVEA=true
endif

unison-manual.html: $(SOURCES)
	$(MAKE) real

# If the .aux file is missing, do 'make once' an extra time to make
# sure it's present (with section numbers, etc.) before we build the
# manual for real.
real:
	@(if [ ! -f unison-manual.aux ]; then $(MAKE) once; fi)
	$(MAKE) once

once: postproc$(EXEC_EXT) $(STRINGS) docs$(EXEC_EXT)
	echo '\def\unisonversion{$(VERSION)}' > unisonversion.tex
	@echo HEVEAPATH = $(HEVEAPATH)
	@(if [ ! -f prefs.tmp ]; then $(MAKE) prefs.tmp; fi)
	@(if [ ! -f prefsdocs.tmp ]; then $(MAKE) prefsdocs.tmp; fi)
ifeq ($(HEVEA),true)
	printf '$(TEXDIRECTIVES)\\textversiontrue\\draftfalse' \
           > texdirectives.tex
	latex unison-manual.tex
	hevea unison-manual.tex
	./postproc < unison-manual.html > temp.html
	(TERM=vt100; export TERM; lynx -display_charset=utf8 -dump temp.html > unison-manual.dtxt)
	sed -e "/^----SNIP----/,+2 d" -e "/^Junk/,$$ d" unison-manual.dtxt > unison-manual.txt
	./docs$(EXEC_EXT)
endif
	printf '$(TEXDIRECTIVES)\\textversionfalse\\draftfalse' > texdirectives.tex
	latex unison-manual.tex
	latex unison-manual.tex
	cp unison-manual.dvi temp.dvi
	dvips -t letter -o unison-manual.ps unison-manual.dvi
	dvips -t letter -z -Ppdf -G0 -D600 unison-manual.dvi -o junk.ps
	ps2pdf junk.ps unison-manual.pdf
ifeq ($(HEVEA),true)
	hevea unison-manual.tex
endif

# Listing of preferences
prefs.tmp:
	-(if [ -f ../src/$(NAME)$(EXEC_EXT) ]; then \
           ../src/unison -help > prefs.tmp; \
           fi)
prefsdocs.tmp:
	-(if [ -f ../src/$(NAME)$(EXEC_EXT) ]; then \
           ../src/unison -prefsdocs 2> prefsdocs.tmp; \
           fi)

# Tools
docs$(EXEC_EXT): docs.ml
	$(OCAMLC) -o $@ $^

postproc$(EXEC_EXT) : postproc.ml
	ocamlopt -o $@ $^

%.ml : %.mll
	-$(RM) $@
	ocamllex $<

clean::
	$(RM) -r \
	   *.dtxt *.aux *.haux *.log *.out \
	   texdirectives.tex \
	   junk.* *.htoc *.toc *.bak \
	   docs docs.exe temp.dvi temp.html unison-manual.html \
	   postproc postproc.exe postproc.ml \
	   unison-manual.dvi unison-manual.ps unison-manual.pdf \
	   unison-manual.txt unison-manual.info* unisonversion.tex \
	   contact.html faq.html faq.haux index.html

=== man/Makefile ===
-include ../src/Makefile.ProjectInfo

all:: $(NAME).1

../src/$(NAME)$(EXEC_EXT):
	$(MAKE) -C ../src UISTYLE=text

$(NAME).1: $(NAME).1.in opt_short.tmp opt_full.tmp
	sed -e '/@OPTIONS_SHORT@/r ./opt_short.tmp' \
		-e '/@OPTIONS_SHORT@/d' \
		-e '/@OPTIONS_FULL@/r ./opt_full.tmp' \
		-e '/@OPTIONS_FULL@/d' $(NAME).1.in > $(NAME).1

# Listing of preferences
opt_short.tmp: ../src/$(NAME)$(EXEC_EXT)
	../src/$(NAME)$(EXEC_EXT) -prefsman short > opt_short.tmp

opt_full.tmp: ../src/$(NAME)$(EXEC_EXT)
	../src/$(NAME)$(EXEC_EXT) -prefsman full > opt_full.tmp

clean::
	$(RM) *.tmp $(NAME).1

=== src/Makefile ===
# Unison file synchronizer: src/Makefile
# Copyright 1999-2022 (see ../LICENSE for terms).

## User Settings

# Set NATIVE=false if you are not using the native code compiler (ocamlopt)
# This is not advised, though: Unison runs much slower when byte-compiled.
NATIVE=true

# User interface style.  For legal values, see Makefile.OCaml.
# You probably don't need to set this yourself -- it will be set to
# an appropriate value automatically, depending on whether the lablgtk
# library is available.
#
# UISTYLE=text

########################################################################
########################################################################
#     (There should be no need to change anything from here on)       ##
########################################################################

######################################################################
# Building installation instructions

.PHONY: all
all:: strings.ml buildexecutable

########################################################################
## Miscellaneous developer-only switches
PROFILING=false
STATIC=false

# NAME, VERSION, and MAJORVERSION, automatically generated
-include Makefile.ProjectInfo

########################################################################
### Compilation rules

include Makefile.OCaml

######################################################################
# For developers

.PHONY: repeattest
repeattest:
	$(MAKE) all NATIVE=false DEBUG=true UISTYLE=text
	./unison noprofile a.tmp b.tmp -repeat foo.tmp -debug ui

.PHONY: selftest
selftest:
	$(MAKE) all NATIVE=false DEBUG=true UISTYLE=text
	./unison -selftest -ui text -batch

.PHONY: selftestdebug
selftestdebug:
	$(MAKE) all NATIVE=false DEBUG=true UISTYLE=text
	./unison -selftest -ui text -batch -debug all

.PHONY: selftestremote
selftestremote:
	$(MAKE) all NATIVE=false DEBUG=true UISTYLE=text
	./unison -selftest -ui text -batch test.tmp ssh://eniac.seas.upenn.edu/test.tmp

.PHONY: testmerge
testmerge:
	$(MAKE) all NATIVE=false UISTYLE=text
	-rm -rf a.tmp b.tmp
	-rm -rf $(HOME)/.unison/backup/file.txt*
	mkdir a.tmp b.tmp
	@echo
	@echo -----------------------------------------------------------
	@echo
	./unison testmerge -ui text -batch
	echo 1OO >> a.tmp/file.txt
	echo 2oo >> a.tmp/file.txt
	echo 3oo >> a.tmp/file.txt
	echo 4oo >> a.tmp/file.txt
	echo 5oo >> a.tmp/file.txt
	echo 6oo >> a.tmp/file.txt
	echo 7oo >> a.tmp/file.txt
	echo 8oo >> a.tmp/file.txt
	echo 9oo >> a.tmp/file.txt
	echo 0oo >> a.tmp/file.txt
	echo 1oo >> a.tmp/file.txt
	echo 2oo >> a.tmp/file.txt
	echo 3oo >> a.tmp/file.txt
	echo 4oo >> a.tmp/file.txt
	echo 5oo >> a.tmp/file.txt
	echo 6oo >> a.tmp/file.txt
	echo 5oo >> a.tmp/file.txt
	echo 6oo >> a.tmp/file.txt
	echo 7oo >> a.tmp/file.txt
	echo 8oo >> a.tmp/file.txt
	echo 9oo >> a.tmp/file.txt
	echo 0oo >> a.tmp/file.txt
	echo 1oo >> a.tmp/file.txt
	echo 2oo >> a.tmp/file.txt
	echo 3OO >> a.tmp/file.txt
	echo 4oo >> a.tmp/file.txt
	./unison testmerge -ui text -batch
	rm a.tmp/file.txt b.tmp/file.txt
	echo 1OO >> a.tmp/file.txt
	echo second >> a.tmp/file.txt
	echo 3oo >> a.tmp/file.txt
	echo 4oo >> a.tmp/file.txt
	echo 5oo >> a.tmp/file.txt
	echo 6oo >> a.tmp/file.txt
	echo 7oo >> a.tmp/file.txt
	echo 8oo >> a.tmp/file.txt
	echo 9oo >> a.tmp/file.txt
	echo 0oo >> a.tmp/file.txt
	echo 1oo >> a.tmp/file.txt
	echo 2oo >> a.tmp/file.txt
	echo 3oo >> a.tmp/file.txt
	echo 4oo >> a.tmp/file.txt
	echo 5oo >> a.tmp/file.txt
	echo 6oo >> a.tmp/file.txt
	echo 5oo >> a.tmp/file.txt
	echo 6oo >> a.tmp/file.txt
	echo 7oo >> a.tmp/file.txt
	echo 8oo >> a.tmp/file.txt
	echo 9oo >> a.tmp/file.txt
	echo 0oo >> a.tmp/file.txt
	echo 1oo >> a.tmp/file.txt
	echo 2oo >> a.tmp/file.txt
	echo 3OO >> a.tmp/file.txt
	echo 4oo >> a.tmp/file.txt
	echo ---
	echo 1OO >> b.tmp/file.txt
	echo 2oo >> b.tmp/file.txt
	echo 3oo >> b.tmp/file.txt
	echo 4oo >> b.tmp/file.txt
	echo 5oo >> b.tmp/file.txt
	echo 6oo >> b.tmp/file.txt
	echo 7oo >> b.tmp/file.txt
	echo 8oo >> b.tmp/file.txt
	echo 9oo >> b.tmp/file.txt
	echo 0oo >> b.tmp/file.txt
	echo 1oo >> b.tmp/file.txt
	echo 2oo >> b.tmp/file.txt
	echo 3oo >> b.tmp/file.txt
	echo 4oo >> b.tmp/file.txt
	echo 5oo >> b.tmp/file.txt
	echo 6oo >> b.tmp/file.txt
	echo 5oo >> b.tmp/file.txt
	echo 6oo >> b.tmp/file.txt
	echo 7oo >> b.tmp/file.txt
	echo 8oo >> b.tmp/file.txt
	echo 9oo >> b.tmp/file.txt
	echo 0oo >> b.tmp/file.txt
	echo 1oo >> b.tmp/file.txt
	echo 2oo >> b.tmp/file.txt
	echo 3OO >> b.tmp/file.txt
	echo end >> b.tmp/file.txt
	@echo
	@echo -----------------------------------------------------------
	@echo
	./unison testmerge -ui text -batch -debug files -debug update -debug backup
	@echo
	@echo -----------------------------------------------------------
	@echo
	./unison testmerge -ui text -batch
	@echo
	@echo -----------------------------------------------------------
	@echo
	cat a.tmp/file.txt
	cat b.tmp/file.txt
	cat $(HOME)/.unison/backup/file.txt


######################################################################
# Tags

ETAGS=etags

# In Windows, tags and TAGS are the same, so make tags stops working
# after the first invocation.  The .PHONY declaration makes it work
# again.
.PHONY: tags
tags:
	@-if command -v $(ETAGS) > /dev/null ; then \
	    $(ETAGS) *.mli */*.mli *.ml */*.ml */*.m *.c */*.c *.txt \
		     *Makefile* \
	  ; fi

all:: TAGS

TAGS:
	$(MAKE) tags

######################################################################
# Misc

.PHONY: clean
clean::
	-$(RM) *.log *.aux *.log *.dvi *.out *.bak
	-$(RM) -r obsolete
	-$(RM) $(NAME) $(NAME).exe
	-$(RM) $(NAME)-blob.o
	$(MAKE) -C fsmonitor/windows clean

ifneq ($(strip $(UIMACDIR)),)
clean::
	-(cd $(UIMACDIR); xcodebuild clean)
	-(cd $(UIMACDIR); $(RM) -r build ExternalSettings.xcconfig)
endif

####################################################################
# Documentation strings

# Cons up a fake strings.ml if necessary (the real one is generated when
# we build the documentation, but we need to be able to compile the
# executable here to do that!)
strings.ml:
	echo "(* Dummy strings.ml *)" > strings.ml
	echo "let docs = []" >> strings.ml

=== src/fsmonitor/linux/Makefile ===

FSMONITOR = $(NAME)-fsmonitor

DIR=fsmonitor/linux
FSMOCAMLOBJS = \
   lwt/lwt.cmo lwt/pqueue.cmo lwt/generic/lwt_unix_impl.cmo lwt/lwt_unix.cmo \
   $(DIR)/inotify.cmo $(DIR)/lwt_inotify.cmo \
   fsmonitor/watchercommon.cmo $(DIR)/watcher.cmo
FSMCOBJS = \
  $(DIR)/inotify_stubs.o
FSMOCAMLLIBS=unix.cma

ifeq ($(NATIVE), true)
  FSMCAMLOBJS=$(subst .cmo,.cmx, $(FSMOCAMLOBJS))
  FSMCAMLLIBS=$(subst .cma,.cmxa, $(FSMOCAMLLIBS))
else
  FSMCAMLOBJS=$(FSMOCAMLOBJS)
  FSMCAMLLIBS=$(FSMOCAMLLIBS)
endif

buildexecutable:: $(FSMONITOR)$(EXEC_EXT)

$(FSMONITOR)$(EXEC_EXT): $(FSMCAMLOBJS) $(FSMCOBJS)
	@echo Linking $@
	$(CAMLC) -verbose $(CAMLFLAGS) $(CAMLLDFLAGS) -o $@ $(CAMLCFLAGS) $(FSMCAMLLIBS) $^ $(CLIBS)

clean::
	rm -f $(DIR)/*.cm[iox] $(DIR)/*.o $(DIR)/*~
	rm -f $(FSMONITOR)$(EXEC_EXT)

=== src/fsmonitor/solaris/Makefile ===

FSMONITOR = $(NAME)-fsmonitor

DIR=fsmonitor/solaris
FSMOCAMLOBJS = \
   lwt/lwt.cmo lwt/pqueue.cmo lwt/generic/lwt_unix_impl.cmo lwt/lwt_unix.cmo \
   fsmonitor/watchercommon.cmo ubase/safelist.cmo $(DIR)/watcher.cmo

FSMCOBJS = $(DIR)/fen_stubs.o
FSMOCAMLLIBS=unix.cma

ifeq ($(NATIVE), true)
  FSMCAMLOBJS=$(subst .cmo,.cmx, $(FSMOCAMLOBJS))
  FSMCAMLLIBS=$(subst .cma,.cmxa, $(FSMOCAMLLIBS))
else
  FSMCAMLOBJS=$(FSMOCAMLOBJS)
  FSMCAMLLIBS=$(FSMOCAMLLIBS)
endif

buildexecutable:: $(FSMONITOR)$(EXEC_EXT)

$(FSMONITOR)$(EXEC_EXT): $(FSMCAMLOBJS) $(FSMCOBJS)
	@echo Linking $@
	$(CAMLC) -verbose $(CAMLFLAGS) $(CAMLLDFLAGS) -o $@ $(CAMLCFLAGS) $(FSMCAMLLIBS) $^ $(CLIBS)

clean::
	rm -f $(DIR)/*.cm[iox] $(DIR)/*.o $(DIR)/*~
	rm -f $(FSMONITOR)$(EXEC_EXT)

=== src/fsmonitor/windows/Makefile ===

FSMONITOR = unison-fsmonitor

DIR=fsmonitor/windows
FSMOCAMLOBJS = \
   ubase/umarshal.cmo \
   ubase/rx.cmo unicode_tables.cmo unicode.cmo \
   system/system_generic.cmo system/system_win.cmo \
   system/win/system_impl.cmo \
   lwt/lwt.cmo lwt/pqueue.cmo lwt/win/lwt_unix_impl.cmo lwt/lwt_unix.cmo \
   lwt/win/lwt_win.cmo \
   fsmonitor/watchercommon.cmo $(DIR)/watcher.cmo
FSMCOBJS = \
   bytearray_stubs$(OBJ_EXT) \
   system/system_win_stubs$(OBJ_EXT) lwt/lwt_unix_stubs$(OBJ_EXT) \
   props_xattr$(OBJ_EXT) props_acl$(OBJ_EXT)
FSMOCAMLLIBS=unix.cma

ifeq ($(NATIVE), true)
  FSMCAMLOBJS=$(subst .cmo,.cmx, $(FSMOCAMLOBJS))
  FSMCAMLLIBS=$(subst .cma,.cmxa, $(FSMOCAMLLIBS))
else
  FSMCAMLOBJS=$(FSMOCAMLOBJS)
  FSMCAMLLIBS=$(FSMOCAMLLIBS)
endif

buildexecutable:: $(FSMONITOR)$(EXEC_EXT)

$(FSMONITOR)$(EXEC_EXT): $(FSMCAMLOBJS) $(FSMCOBJS)
	@echo Linking $@
	$(CAMLC) -verbose $(CAMLFLAGS) $(CAMLLDFLAGS) -o $@ $(CAMLCFLAGS) $(FSMCAMLLIBS) $^ $(CLIBS)

clean::
	rm -f $(DIR)/*.cm[iox] $(DIR)/*.{o,obj} $(DIR)/*~
	rm -f $(FSMONITOR)$(EXEC_EXT)

=== debian/changelog ===
unison-2.53 (2.53.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:03 +1100

unison-2.53 (2.53.3-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:14:45 +0000

unison-2.53 (2.53.3-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 01 Sep 2023 21:08:33 +0200

unison-2.53 (2.53.3-1) unstable; urgency=medium

  * New upstream release (Closes: #880541)
  * Bump Standards-Version to 4.6.2
  * Remove old Breaks+Replaces

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Aug 2023 07:29:59 +0200

unison-2.52 (2.52.1-1) unstable; urgency=medium

  * New upstream release (Closes: #844321)
    - use upstream manpage
  * Bump Standards-Version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Oct 2022 11:32:17 +0200

unison-2.52 (2.52.0-1) unstable; urgency=medium

  * New upstream release
    - do no longer depend on OCaml ABI

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Mar 2022 12:39:38 +0100

unison-2.51+4.13.1 (2.51.5-1) unstable; urgency=medium

  * Compile with OCaml 4.13.1
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jan 2022 10:29:59 +0100

unison-2.51+4.11.1 (2.51.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 21 Oct 2020 16:22:34 +0200

unison-2.51+4.11.1 (2.51.3~rc3-1) unstable; urgency=medium

  * New upstream release candidate

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Oct 2020 17:48:15 +0200

unison-2.51+4.11.1 (2.51.3~rc2-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures (-custom was misplaced)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Oct 2020 06:02:25 +0200

unison-2.51+4.11.1 (2.51.3~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * Embed OCaml ABI in the name of packages, executables, etc.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2020 16:37:56 +0200

unison-2.48 (2.48.4-8) unstable; urgency=medium

  * Stop suggesting -all metapackages
  * Add Breaks: unison{,-gtk} (<< 2.48.4-5~)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Aug 2020 08:34:03 +0200

unison-2.48 (2.48.4-7) unstable; urgency=medium

  * Fix .desktop file for unison-2.48-gtk (Closes: #968050)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Aug 2020 17:00:08 +0200

unison-2.48 (2.48.4-6) unstable; urgency=medium

  * Add Replaces: unison{,-gtk} (<< 2.48.4-5~) (Closes: #967964)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 09:12:02 +0200

unison-2.48 (2.48.4-5) unstable; urgency=medium

  * Create new versioned source package
  * Simplify the packaging
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 Jul 2020 17:10:12 +0200

unison (2.48.4-4) unstable; urgency=medium

  * Rename debian/NEWS.Debian to debian/NEWS so that it is installed

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2019 09:44:32 +0100

unison (2.48.4-3) unstable; urgency=medium

  * Add entry in NEWS.Debian documenting the incompatibility due to
    compilation with a different OCaml version (Closes: #946041)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2019 11:44:57 +0100

unison (2.48.4-2) unstable; urgency=medium

  * Fix compilation with OCaml 4.08.1
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2019 13:26:31 +0100

unison (2.48.4-1) unstable; urgency=medium

  * New upstream release (Closes: #878462)
  * Update Vcs-*
  * Bump Standards-Version to 4.1.1
  * Remove menu file

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Oct 2017 10:26:00 +0100

unison (2.48.3-1) unstable; urgency=medium

  * New upstream release (Closes: #705318)
    - remove obsolete patches (fixed upstream)
    - fix debian/generate-manpage.ml
    - thanks to Yuri Kanivetsky for preliminary updating work
    - make temp file names fit within 143 characters (Closes: #504503)
  * Do not use absolute path to icon in desktop file (Closes: #777238)
  * Update debian/copyright
  * Update bash completion installation directory
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Aug 2015 14:57:24 +0200

unison (2.40.102-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sat, 11 May 2013 12:03:12 +0200

unison (2.40.102-1) experimental; urgency=low

  * New upstream release
    - compatibility with OCaml >= 4 (Closes: #691683)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Apr 2013 14:44:24 +0200

unison (2.40.65-2) unstable; urgency=low

  * Refer to unison-manual.txt.gz in doc-base (Closes: #657496)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 15 Apr 2012 18:02:55 +0200

unison (2.40.65-1) unstable; urgency=low

  * New upstream release
    - fix -doc option (Closes: #657496, LP: #949895)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Apr 2012 17:55:06 +0200

unison (2.40.63-3) unstable; urgency=low

  * Suggest unison-all
  * Use rsvg-convert instead of rsvg (Closes: #666312)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Mar 2012 19:16:19 +0200

unison (2.40.63-2) unstable; urgency=low

  * Remove unison-gtk alternative on uninstall (Closes: #657420)
  * Add myself to Uploaders, remove Sylvain
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 26 Jan 2012 07:03:15 +0100

unison (2.40.63-1) experimental; urgency=low

  * Team upload
  * New upstream release (Closes: #641462)
    - remove all former patches; the issues they fix seem to have been
      addressed upstream
    - add a new patch to fix all typos reported by Lintian
  * debian/control:


=== debian/control ===
Source: unison-2.53
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 liblablgtk3-ocaml-dev,
 librsvg2-bin,
 imagemagick,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/unison.git -b 2.53/debian
Vcs-Browser: https://salsa.debian.org/ocaml-team/unison/-/tree/2.53/debian
Homepage: http://www.cis.upenn.edu/~bcpierce/unison/

Package: unison-2.53
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Recommends: ssh-client | openssh-client
Description: file-synchronization tool for Unix and Windows
 Unison is a file-synchronization tool for Unix and Windows, written
 in OCaml. It allows two replicas of a collection of files and
 directories to be stored on different hosts (or different disks
 on the same host), modified separately, and then brought up to
 date by propagating the changes in each replica to the other.
 .
 Unison offers several advantages over various synchronization methods
 such as CVS, Coda, rsync, Intellisync, etc. Unison can run on and
 synchronize between Windows and many UNIX platforms. Unison requires
 no root privileges, system access or kernel changes to function. Unison
 can synchronize changes to files and directories in both directions,
 on the same machine, or across a network using ssh or a direct
 socket connection.
 .
 Transfers are optimised using a version of the rsync protocol,
 making it ideal for slower links. Unison has a clear and precise
 specification, and is resilient to failure due to its careful
 handling of the replicas and its private structures.

Package: unison-2.53-gtk
Architecture: any
Depends: unison-2.53, ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Recommends: ssh-askpass, ssh-client | openssh-client
Description: file-synchronization tool for Unix and Windows with GTK+ interface
 Unison is a file-synchronization tool for Unix and Windows, written
 in OCaml. It allows two replicas of a collection of files and
 directories to be stored on different hosts (or different disks
 on the same host), modified separately, and then brought up to
 date by propagating the changes in each replica to the other.
 .
 Unison offers several advantages over various synchronization methods
 such as CVS, Coda, rsync, Intellisync, etc. Unison can run on and
 synchronize between Windows and many UNIX platforms. Unison requires
 no root privileges, system access or kernel changes to function. Unison
 can synchronize changes to files and directories in both directions,
 on the same machine, or across a network using ssh or a direct
 socket connection.
 .
 Transfers are optimised using a version of the rsync protocol,
 making it ideal for slower links. Unison has a clear and precise
 specification, and is resilient to failure due to its careful
 handling of the replicas and its private structures.
 .
 This package adds the optional GTK+ interface.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for unison package

include /usr/share/ocaml/ocamlvars.mk

VERSION := 2.53
UNISON_ABI := $(VERSION)

DOCS := src/TODO.txt unison-manual.txt NEWS.md

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  NATIVE := true
else
  NATIVE := false
endif

SED_REPLACE := -e "s/@UNISON_PACKAGE@/unison-$(UNISON_ABI)/g"

SED_REPLACE_TEXT := -e "s/@UNISON_MAJ@/UNISON-$(UNISON_ABI)/g"
SED_REPLACE_TEXT += -e "s/@UNISON@/unison-$(UNISON_ABI)/g"

SED_REPLACE_GTK := -e "s/@UNISON_MAJ@/UNISON-$(UNISON_ABI)-GTK/g"
SED_REPLACE_GTK += -e "s/@UNISON@/unison-$(UNISON_ABI)-gtk/g"

%:
	dh $@ --with ocaml

override_dh_clean:
	dh_clean
	rm -f unison.1 debian/unison-$(UNISON_ABI).install debian/unison-$(UNISON_ABI)-gtk.install

override_dh_auto_configure:
	sed -e "s/@UnisonVersion@/$(VERSION)/g" -e "s/@UnisonABI@/$(UNISON_ABI)/g" debian/control.in > debian/control.new
	diff -u debian/control debian/control.new
	rm -f debian/control.new
	dh_auto_configure

override_dh_auto_clean:
	$(MAKE) clean
	rm -f src/ubase/depend
	rm -f unison-text unison-gtk
	rm -f unison-manual.txt unison.1
	rm -f debian/unison-gtk.png debian/unison-gtk.xpm

override_dh_auto_build: unison-text unison-gtk unison-manual.txt debian/unison-gtk.png debian/unison-gtk.xpm

override_dh_auto_install:
# Text version
	mkdir -p debian/tmp/usr/bin
	cp unison-text debian/tmp/usr/bin/unison-$(UNISON_ABI)
	mkdir -p debian/tmp/usr/share/man/man1
	sed $(SED_REPLACE) $(SED_REPLACE_TEXT) unison.1 > debian/tmp/usr/share/man/man1/unison-$(UNISON_ABI).1
	mkdir -p debian/tmp/usr/share/doc/unison-$(UNISON_ABI)
	cp $(DOCS) debian/tmp/usr/share/doc/unison-$(UNISON_ABI)
	sed $(SED_REPLACE) $(SED_REPLACE_TEXT) debian/unison.install.in > debian/unison-$(UNISON_ABI).install
# GTK version
	cp unison-gtk debian/tmp/usr/bin/unison-$(UNISON_ABI)-gtk
	sed $(SED_REPLACE) $(SED_REPLACE_GTK) unison.1 > debian/tmp/usr/share/man/man1/unison-$(UNISON_ABI)-gtk.1
	mkdir -p debian/tmp/usr/share/pixmaps
	cp debian/unison-gtk.xpm debian/tmp/usr/share/pixmaps/unison-$(UNISON_ABI)-gtk.xpm
	cp debian/unison-gtk.svg debian/tmp/usr/share/pixmaps/unison-$(UNISON_ABI)-gtk.svg
	mkdir -p debian/tmp/usr/share/applications
	sed $(SED_REPLACE) $(SED_REPLACE_GTK) debian/unison-gtk.desktop.in > debian/tmp/usr/share/applications/unison-$(UNISON_ABI)-gtk.desktop
	sed $(SED_REPLACE) $(SED_REPLACE_GTK) debian/unison-gtk.install.in > debian/unison-$(UNISON_ABI)-gtk.install

override_dh_auto_test:

unison-text:
	$(MAKE) clean
	$(MAKE) -C src UISTYLE=text NATIVE=$(NATIVE) CFLAGS=
	cp src/unison $@
	$(MAKE) manpage UISTYLE=text NATIVE=$(NATIVE) CFLAGS=
	cp man/unison.1 .

unison-gtk:
	$(MAKE) clean
	$(MAKE) -C src UISTYLE=gtk3 NATIVE=$(NATIVE) CFLAGS=
	cp src/unison $@

unison-manual.txt: unison-text
	./unison-text -doc all > $@

debian/unison-gtk.png: debian/unison-gtk.svg
	rsvg-convert -f png -w 32 -h 32 -o $@ $^

debian/unison-gtk.xpm: debian/unison-gtk.png
	convert $^ $@

## unison-2.53 2.53.5

=== debian/changelog ===
unison-2.53 (2.53.5-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 31 Jul 2024 16:07:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: unison-2.53
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:

## unison-2.53 2.53.7

=== Makefile ===
# Unison file synchronizer: Makefile
# See LICENSE for terms.

# Sub-makefiles are perfectly fine for parallel builds.
# This makefile is not, due to recursive invocations of make.
.NOTPARALLEL:

.PHONY: all
all: src manpage

.PHONY: src
src:
	$(MAKE) -C src

# It's a wart that docs need "unison" built (vs some docs utility).
.PHONY: docs
docs: src manpage
	$(MAKE) -C doc

# "src" is a prerequisite to prevent parallel build errors.
# manpage builds currently require a pre-built "unison" binary.
.PHONY: manpage
manpage: src
	$(MAKE) -C man

.PHONY: test
test: ./src/unison
	./src/unison -ui text -selftest

.PHONY: depend
depend:
	$(MAKE) -C src depend

.PHONY: clean
clean:
	$(MAKE) -C doc clean
	$(MAKE) -C man clean
	$(MAKE) -C src clean

INSTALL ?= install
INSTALL_PROGRAM ?= $(INSTALL)
INSTALL_DATA ?= $(INSTALL) -m 644

prefix = /usr/local
PREFIX ?= $(prefix)
exec_prefix = $(PREFIX)
EXEC_PREFIX ?= $(exec_prefix)
bindir = $(EXEC_PREFIX)/bin
BINDIR ?= $(bindir)
datarootdir = $(PREFIX)/share
DATAROOTDIR ?= $(datarootdir)
mandir = $(DATAROOTDIR)/man
MANDIR ?= $(mandir)
man1dir = $(MANDIR)/man1
MAN1DIR ?= $(man1dir)
manext = .1
MANEXT ?= $(manext)

.PHONY: install
install: all
	$(INSTALL) -d "$(DESTDIR)$(BINDIR)"
ifneq ($(wildcard src/unison),)
	$(INSTALL_PROGRAM) src/unison "$(DESTDIR)$(BINDIR)/unison"
endif
ifneq ($(wildcard src/unison-gui),)
	$(INSTALL_PROGRAM) src/unison-gui "$(DESTDIR)$(BINDIR)/unison-gui"
endif
ifneq ($(wildcard src/unison-fsmonitor),)
	$(INSTALL_PROGRAM) src/unison-fsmonitor "$(DESTDIR)$(BINDIR)/unison-fsmonitor"
else
  ifneq ($(wildcard src/fsmonitor.py),)
	$(INSTALL_PROGRAM) src/fsmonitor.py "$(DESTDIR)$(BINDIR)/fsmonitor.py"
  endif
endif
ifneq ($(wildcard man/unison.1),)
	$(INSTALL) -d "$(DESTDIR)$(MAN1DIR)"
	$(INSTALL_DATA) man/unison.1 "$(DESTDIR)$(MAN1DIR)/unison$(MANEXT)"
endif
ifneq ($(wildcard src/uimac/build/Default/Unison.app),)
	$(info !!! The GUI for macOS has been built but will NOT be installed automatically. \
    You can find the built GUI package at $(abspath src/uimac/build/Default/Unison.app))
endif

# Delegate other targets to the sub-makefile
.PHONY: Makefile

./src/%:
	$(MAKE) -C src $*

%: FORCE
	$(MAKE) -C src $@
.PHONY: FORCE
FORCE: ;

=== doc/Makefile ===
 # Manual

.PHONY: all
all: unison-manual.pdf unison-manual.html unison-manual.txt ../src/strings.ml

DRAFT = false

-include ../src/Makefile.ProjectInfo

SOURCES = unison-manual.tex \
          local.tex short.tex \
          unisonversion.tex prefs.tmp prefsdocs.tmp
FORMATS = html pdf txt dvi ps info
FORMATS_AUX = dtxt aux htoc toc

$(addprefix unison-manual., $(FORMATS) $(FORMATS_AUX)): $(SOURCES)

unison-manual-directives.tex unison-manual-text-directives.tex:

ifneq ($(strip $(shell hevea -version)),)
  HEVEA=true
endif

unisonversion.tex: ../src/Makefile.ProjectInfo
	echo '\def\unisonversion{$(VERSION)}' > $@

# Text versions: when using different directives then _must_ use different
# jobname (or, output name for hevea) so that files for non-text versions are
# not overwritten. Here, suffix -text is used.

%-text-directives.tex:
	printf '$(TEXDIRECTIVES)\\textversiontrue\\draft$(DRAFT)' > $@

%.dtxt: %.tex %-text-directives.tex
ifeq ($(HEVEA),true)
	hevea -o $*-text.html $<
	(TERM=vt100; export TERM; lynx -display_charset=utf8 -dump $*-text.html > $@)
endif

%.txt: %.dtxt
ifeq ($(HEVEA),true)
	sed -e "/^----SNIP----/,+2 d" -e "/^Junk/,$$ d" $< > $@
endif

../src/strings.ml: unison-manual.dtxt docs.ml
ifeq ($(HEVEA),true)
	ocaml docs.ml < $< > $@
endif

%-directives.tex:
	printf '$(TEXDIRECTIVES)\\textversionfalse\\draft$(DRAFT)' > $@

# (pdf)latex must be run multiple times to generate toc and correct references

%.aux %.htoc: %.tex %-directives.tex
	pdflatex -draftmode $<
	pdflatex -draftmode $<

%.pdf: %.tex %-directives.tex %.aux
	pdflatex $<

%.ps: %.pdf
	pdf2ps $<

%.html: %.tex %-directives.tex %.htoc
ifeq ($(HEVEA),true)
	hevea $<
endif

# Listing of preferences
prefs.tmp: ../src/$(NAME)$(EXEC_EXT)
	-../src/$(NAME)$(EXEC_EXT) -help > prefs.tmp
prefsdocs.tmp: ../src/$(NAME)$(EXEC_EXT)
	-../src/$(NAME)$(EXEC_EXT) -prefsdocs 2> prefsdocs.tmp

../src/$(NAME)$(EXEC_EXT):
	$(MAKE) -C ../src tui

.PHONY: clean
clean:
	$(RM) -r \
	   *.dtxt *.aux *.haux *.log *.out \
	   *-directives.tex \
	   junk.* *.htoc *.toc *.bak \
	   prefs.tmp prefsdocs.tmp \
	   docs docs.exe temp.dvi temp.html unison-manual.html \
	   unison-manual.dvi unison-manual.ps unison-manual.pdf \
	   unison-manual.txt unison-manual.info* unisonversion.tex \
	   unison-manual-text.html \
	   contact.html faq.html faq.haux index.html

=== man/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 -include ../src/Makefile.ProjectInfo
 
-all:: $(NAME).1
+all: $(NAME).1
 
 ../src/$(NAME)$(EXEC_EXT):
-	$(MAKE) -C ../src UISTYLE=text
+	$(MAKE) -C ../src tui
 
 $(NAME).1: $(NAME).1.in opt_short.tmp opt_full.tmp
 	sed -e '/@OPTIONS_SHORT@/r ./opt_short.tmp' \
@@ -18,5 +18,5 @@
 opt_full.tmp: ../src/$(NAME)$(EXEC_EXT)
 	../src/$(NAME)$(EXEC_EXT) -prefsman full > opt_full.tmp
 
-clean::
+clean:
 	$(RM) *.tmp $(NAME).1

=== src/fsmonitor/inotify/Makefile ===
FSMOCAMLOBJS = \
   lwt/lwt.cmo lwt/pqueue.cmo lwt/generic/lwt_unix_impl.cmo lwt/lwt_unix.cmo \
   $(FSMDIR)/inotify.cmo $(FSMDIR)/lwt_inotify.cmo \
   fsmonitor/watchercommon.cmo $(FSMDIR)/watcher.cmo
FSMCOBJS = \
  $(FSMDIR)/inotify_stubs.o
FSMOCAMLLIBS=unix.cma

=== src/fsmonitor/windows/Makefile ===
FSMOCAMLOBJS = \
   ubase/umarshal.cmo \
   ubase/rx.cmo unicode_tables.cmo unicode.cmo \
   system/system_generic.cmo system/system_win.cmo \
   system/win/system_impl.cmo \
   lwt/lwt.cmo lwt/pqueue.cmo lwt/win/lwt_unix_impl.cmo lwt/lwt_unix.cmo \
   lwt/win/lwt_win.cmo \
   fsmonitor/watchercommon.cmo $(FSMDIR)/watcher.cmo
FSMCOBJS = \
   bytearray_stubs$(OBJ_EXT) \
   system/system_win_stubs$(OBJ_EXT) lwt/lwt_unix_stubs$(OBJ_EXT) \
   props_xattr$(OBJ_EXT) props_acl$(OBJ_EXT)
FSMOCAMLLIBS=unix.cma

# Additional dependencies
$(FSMDIR)/watcher.cmo: lwt/win/lwt_win.cmo
$(FSMDIR)/watcher.cmx: lwt/win/lwt_win.cmx

=== debian/changelog ===
unison-2.53 (2.53.7-2) unstable; urgency=medium

  * Synchronize debian/control.in with debian/control

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2025 12:42:31 +0100

unison-2.53 (2.53.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2025 11:19:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  librsvg2-bin,
  imagemagick,
  dh-ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/unison.git -b 2.53/debian
 Vcs-Browser: https://salsa.debian.org/ocaml-team/unison/-/tree/2.53/debian

=== debian/rules ===
--- 
+++ 
@@ -67,15 +67,15 @@
 
 unison-text:
 	$(MAKE) clean
-	$(MAKE) -C src UISTYLE=text NATIVE=$(NATIVE) CFLAGS=
+	$(MAKE) -C src tui NATIVE=$(NATIVE) CFLAGS=
 	cp src/unison $@
-	$(MAKE) manpage UISTYLE=text NATIVE=$(NATIVE) CFLAGS=
+	$(MAKE) manpage NATIVE=$(NATIVE) CFLAGS=
 	cp man/unison.1 .
 
 unison-gtk:
 	$(MAKE) clean
-	$(MAKE) -C src UISTYLE=gtk3 NATIVE=$(NATIVE) CFLAGS=
-	cp src/unison $@
+	$(MAKE) -C src gui NATIVE=$(NATIVE) CFLAGS=
+	cp src/unison-gui $@
 
 unison-manual.txt: unison-text
 	./unison-text -doc all > $@

=== debian/watch ===
version=4
https://github.com/bcpierce00/unison/tags .*/v([0-9.]*)\.tar\.gz

## unison-2.53 2.53.8

=== debian/changelog ===
unison-2.53 (2.53.8-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Mon, 01 Dec 2025 10:18:23 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  librsvg2-bin,
  imagemagick,
  dh-ocaml
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ocaml-team/unison.git -b 2.53/debian
 Vcs-Browser: https://salsa.debian.org/ocaml-team/unison/-/tree/2.53/debian
 Homepage: http://www.cis.upenn.edu/~bcpierce/unison/

=== debian/watch ===
Version: 5

Source: https://github.com/bcpierce00/unison/tags
Matching-Pattern: .*/v@ANY_VERSION@\.tar\.gz
